org.mozilla.javascript.tools.shell

## Class SecurityProxy

- java.lang.Object
- - org.mozilla.javascript.SecurityController
  - - org.mozilla.javascript.tools.shell.SecurityProxy

- Direct Known Subclasses:
    JavaPolicySecurity

      public abstract class SecurityProxy
      extends SecurityController

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityProxy()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `callProcessFileSecure(Context cx, Scriptable scope, java.lang.String filename)`

    - ### Methods inherited from class org.mozilla.javascript.SecurityController

      `callWithDomain, createClassLoader, createLoader, execWithDomain, getDynamicSecurityDomain, getStaticSecurityDomainClass, getStaticSecurityDomainClassInternal, hasGlobal, initGlobal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityProxy

          public SecurityProxy()

  - ### Method Detail

    - #### callProcessFileSecure

          protected abstract void callProcessFileSecure(Context cx,
                                                        Scriptable scope,
                                                        java.lang.String filename)